Error_messages_for source code for Rails 2.1.0?


#1

Hi all,

Im looking to customize the validation error messages displayed by
Rails. I took the code for error_messages_for from the Rails api docs
and put it in my application_helper to modify it but I get this error
on it

uninitialized constant ApplicationHelper::I18n

Im on Rails 2.1.0 and I think there’s the problem.
(Internationalization was not done pre- 2.2? ) Do correct me if im
wrong.
Where can I get the source code of error_messages_for that was used in
Rails 2.1.0?
Is there a way to view the source code of the rails installation i
have on my local comp?


#2

Dint strike me to go to Github until now!!

Guess this post was a bit of a waste of space!